<?php
define('MOONY_BASE', dirname(dirname(__FILE__)));

require_once MOONY_BASE . '/lib/moony/Moony_Config.php';


if ($_SERVER['argc'] != 2) {
	$message = "Parameter Error.../moony/Moony_Config.php';
	$message .= "usage: /path/to/php generate.php [action_name]	die($message);
}

$action_name = $_SERVER['argv'][1];

$action_file = MOONY_ACTION_DIR . '/' . $action_name . 'Action.php';
$template_file = MOONY_SMARTY_TEMPLATE_DIR . '/' . $action_name . '.' . MOONY_SMARTY_TEMPLATE_EXT;

if (file_exists($action_file)) {
	die("Error: Action Class File Already Exists'/' . $action_name . '.' . MOONY_SMARTY_TEMPLATE_EXT;
}
if (file_exists($template_file)) {
	die("Error: Template File Already Existsists'/' . $action_name . '.' . MOONY_SMARTY_TEMPLATE_EXT;
}

$skelton_dir = MOONY_BASE . '/_codegen/skelton';
$action_tpl = file_get_contents($skelton_dir . '/action.skl');
$template_tpl = file_get_contents($skelton_dir . '/template.skl');

$action_content = sprintf($action_tpl, $action_name . 'Action');
$template_content = sprintf($template_tpl, $action_name);

$fp = fopen($action_file, 'w');
fputs($fp, $action_content);
fclose($fp);

$fp = fopen($template_file, 'w');
fputs($fp, $template_content);
fclose($fp);

echo "Skelton for '$action_name' Successfully Generated!;
?>
